class cairo_t_singleton {

public:

  static cairo_t* get_context(cairo_surface_t* surf=NULL);
  static void     free_context();
  static void     destroy();
  static bool     can_export();

protected:
  cairo_t_singleton();

  static cairo_t* context;

};
